Index: pgadmin3/TODO
===================================================================
--- pgadmin3/TODO	(révision 8351)
+++ pgadmin3/TODO	(copie de travail)
@@ -19,14 +19,11 @@
 Enhancements / wishes
 ---------------------
 
-- Cache datatypes used by dlgColumn as reloading them when adding multiple
-  columns to a new table can be slow over WANs.
 - Add an option (or change the UI to something more usable with lots of types)
   to include table types in the data type combo boxes where appropriate.
 - Ability to search a database for objects with a specific name.
-- Attempt to reconnect to the server following a connection failure.
-- Allow the user to disconnect individual databases
-- detect serial columns from pg_depend, not column default (observe deviating 
+- Allow the user to disconnect individual databases (#185)
+- Detect serial columns from pg_depend, not column default (observe deviating 
   serial name)
 - Slony-I failover
 - Drop object using replication
@@ -44,7 +41,6 @@
 - Updateable View wizard
 - Most property dlgs: check for readOnly if no sufficient rights are available
 - CREATE TABLE LIKE table
-- Operator class property: to implement
 - Find solution for dlgProperty::AppendQuoted if schemaname has a dot
 - Allow EditGrid to use comboboxes filled from FK tables.
 - Add an option to the Query Tool to exclusively lock files whilst they're 
Index: www/development/roadmap.php
===================================================================
--- www/development/roadmap.php	(révision 8351)
+++ www/development/roadmap.php	(copie de travail)
@@ -7,47 +7,47 @@
 
 <h1>' . _("Roadmap") . '</h1>
 
-<p>' . sprintf(_("This roadmap outlines the work that is hoped will be done in the %s development cycle for release in version %s of pgAdmin."), "1.9", "1.10") . '</p>
+<p>' . sprintf(_("This roadmap outlines the work that is hoped will be done in the %s development cycle for release in version %s of pgAdmin."), "1.13", "1.14") . '</p>
 
 <ul>
-  <li>' . _("PostgreSQL 8.4 compatibility (these items are subject to change)") . '<br />&nbsp;
+  <li>' . _("PostgreSQL compatibility") . '<br />&nbsp;
     <ul>
-      <li><s>' . _("TRUNCATE trigger support") . '</s><br />&nbsp;</li>
-      <li><s>' . _("Add support for variadic functions") . '</s><br />&nbsp;</li>
-      <li>' . _("To be determined...") . '<br />&nbsp;</li>
+      <li>' . _("Complete 9.1 support") . '<br />&nbsp;</li>
+      <li>' . _("Finish 9.0 support with exclusion constraints") . '<br />&nbsp;</li>
+      <li>' . _("Finish 8.4 support with SQL/Med objects") . '<br />&nbsp;</li>
     </ul>
   </li>
 
   <li>' . _("Code housekeeping") . '<br />&nbsp;
     <ul>
       <li>' . _("Check for and remove any custom controls that are now implemented in wxWidgets.") . '<br />&nbsp;</li>
-      <li><s>' . _("Move pgAgent into a standalone package that can be released on it's own schedule.") . '</s><br />&nbsp;</li>
+      <li>' . _("Check for the use of wxWidgets 2.9/3.0.") . '<br />&nbsp;</li>
     </ul>
   </li>
 
-  <li>' . _("Build system") . '<br />&nbsp;
-    <ul>
-      <li>' . _("Consider cross-platform build systems such as cmake to generate the build system for all platforms") . '<br />&nbsp;</li>
-    </ul>
-  </li>
-
   <li>' . _("Functionality") . '<br />&nbsp;
     <ul>
-      <li><s>' . _("Add DROP/REASSIGN OWNED support. [GL]") . '</s><br />&nbsp;</li>
-      <li>' . _("Logfile tab on server status window : multiple columns and filtering. [GL]") . '<br />&nbsp;</li>
+      <li>' . _("Better i18n support [GL]") . '<br />&nbsp;</li>
+      <li>' . _("Show/hide columns in frmStatus's reports [GL]") . '<br />&nbsp;</li>
+      <li>' . _("Filter rows in frmStatus's reports [GL]") . '<br />&nbsp;</li>
+      <li>' . _("Logfile: columns according to log_line_prefix, filename according to log_filename, etc. in frmStatus [GL]") . '<br />&nbsp;</li>
+      <li>' . _("Custom reports in frmStatus [GL]") . '<br />&nbsp;</li>
+      <li>' . _("Graphs in frmStatus [GL]") . '<br />&nbsp;</li>
       <li>' . _("Redesign Table dialogue to remove sub-dialogues where possible and replace with grid style UI [DP]") . '<br />&nbsp;</li>
-      <li><s>' . _("Support for integrated tsearch configuration in PG 8.3+ [GL]") . '</s><br />&nbsp;</li>
       <li>' . _("Data tune-up options for slow queries (requires XML EXPLAIN in PG 8.4) [DP]") . '<br />&nbsp;</li>
       <li>' . _("pgsql-performance report tool for problematic queries (requires XML EXPLAIN in PG 8.4) [DP]") . '<br />&nbsp;</li>
-      <li><s>' . _("Overhaul settings management. Save settings on the fly rather than at exit. Take default values from an external file [DP]") . '</s><br />&nbsp;</li>
       <li>' . _("Add a dialog to allow the user to set a global breakpoint in a specific backend process [DP]") . '<br />&nbsp;</li>
-      <li><s>' . _("Add a hotkey to comment or un-comment the selected lines in the query tool [DP]") . '</s><br />&nbsp;</li>
-      <li><s>' . _("Add a hotkey to indent or outdent the selected lines in the query tool [DP]") . '</s><br />&nbsp;</li>
-      <li><s>' . _("Add support for the -c (clean) pg_restore option [DP]") . '</s><br />&nbsp;</li>
-      <li>' . _("Add printing support to the query tool (and other styled text controls?) [DP]") . '<br />&nbsp;</li>
+      <li>' . _("Add printing support to the query tool (and other styled text controls?) [DP/AV]") . '<br />&nbsp;</li>
     </ul>
   </li>
 
+  <li>' . _("GSoC") . '<br />&nbsp;
+    <ul>
+      <li>' . _("Database designer for pgAdmin, by Luis Ochoa") . '<br />&nbsp;</li>
+      <li>' . _("Database schema difference visualizer, by Adeel Khan") . '<br />&nbsp;</li>
+    </ul>
+  </li>
+
 '; 
 
 // Display the page
Index: www/screenshots/data.php
===================================================================
--- www/screenshots/data.php	(révision 8351)
+++ www/screenshots/data.php	(copie de travail)
@@ -9,15 +9,15 @@
 
 <p>' . _("A data grid allows to insert, modify and drop data easily. The data is retrieved on-demand when it needs to be displayed. This allows the user to browse very large tables quickly and efficiently.") . '</p>
 
-<center><a href="/images/screenshots/pgadmin3_viewdata.png" target="_Shot"><img src="/images/screenshots/pgadmin3_viewdata.png" alt="' . _("The data grid") . '" width="259" height="191" /></a></center>
+<center><a href="/images/screenshots/pgadmin3_viewdata.png" target="_Shot"><img src="/images/screenshots/pgadmin3_viewdata.png" alt="' . _("The data grid") . '" /></a></center>
 
 <p>' . _("A query tool with colour syntax highlighting allows users to run custom queries. The SQL definition of any object can be automatically transfered to the query tool from the object browser, or the user can author simple queries or complex scripts by hand. Long running queries can be cancelled if required by clicking on the red square button. The tool displays execution times of queries to help the user optimise them, and fully supports PostgreSQL's asynchronous notification system.") . '</p>
 
-<center><a href="/images/screenshots/pgadmin3_querytool.png" target="_Shot"><img src="/images/screenshots/pgadmin3_querytool.png" alt="' . _("The query tool") . '" width="352" height="257" /></a></center>
+<center><a href="/images/screenshots/pgadmin3_querytool.png" target="_Shot"><img src="/images/screenshots/pgadmin3_querytool.png" alt="' . _("The query tool") . '" width="600" height="417" /></a></center>
 
 <p>' . _("EXPLAIN and/or ANALYZE your queries to take advantage of PostgreSQL unique optimisation features. You will soon realise that PostgreSQL is amongst the fastest enterprise class databases available.") . '</p>
 
-<center><a href="/images/screenshots/pgadmin3_explain.png" target="_Shot"><img src="/images/screenshots/pgadmin3_explain.png" alt="' . _("The graphical EXPLAIN tool") . '" width="352" height="257" /></a></center>
+<center><a href="/images/screenshots/pgadmin3_explain.png" target="_Shot"><img src="/images/screenshots/pgadmin3_explain.png" alt="' . _("The graphical EXPLAIN tool") . '" width="600" height="417" /></a></center>
 
 '; 
 
Index: www/screenshots/serverstatus.php
===================================================================
--- www/screenshots/serverstatus.php	(révision 8351)
+++ www/screenshots/serverstatus.php	(copie de travail)
@@ -9,7 +9,7 @@
 
 <p>' . _("The status of each server process may be viewed, along with summaries of current locks and transactions. Logfiles may also be selected and viewed.") . '</p>
 
-<center><a href="/images/screenshots/pgadmin3_status.png" target="_Shot"><img src="/images/screenshots/pgadmin3_status.png" alt="' . _("The server status dialogue") . '" width="377" height="243" /></a></center>
+<center><a href="/images/screenshots/pgadmin3_status.png" target="_Shot"><img src="/images/screenshots/pgadmin3_status.png" alt="' . _("The server status dialogue") . '" width="646" height="393" /></a></center>
 
 '; 
 
Index: www/screenshots/mb_i18n.php
===================================================================
--- www/screenshots/mb_i18n.php	(révision 8351)
+++ www/screenshots/mb_i18n.php	(copie de travail)
@@ -9,13 +9,13 @@
 
 <p>' . _("pgAdmin supports most PostgreSQL server-side encodings including Unicode UTF-8 and other multi-byte charactersets.") . '</p>
 
-<center><a href="/images/screenshots/pgadmin3_encoding.png" target="_Shot"><img src="/images/screenshots/pgadmin3_encoding.png" alt="' . _("Database encoding selection") . '" width="195" height="255" /></a></center>
+<center><a href="/images/screenshots/pgadmin3_encoding.png" target="_Shot"><img src="/images/screenshots/pgadmin3_encoding.png" alt="' . _("Database encoding selection") . '" /></a></center>
 
 <p>' . _("The pgAdmin interface has been translated into more than a dozen languages, and partially translated into another 25 more. The interface supports all known Unicode scripts, even Right to Left (RTL) scripts like Arabic.") . '</p>
 
 <p>' . sprintf(_("A detailed list of supported languages is available in the <a href=\"%s\">Translation</a> section of the website."), "../translation/") . '</p>
 
-<center><a href="/images/screenshots/pgadmin3_languages.png" target="_Shot"><img src="/images/screenshots/pgadmin3_languages.png" alt="' . _("Database encoding selection") . '" width="217" height="244" /></a></center>
+<center><a href="/images/screenshots/pgadmin3_languages.png" target="_Shot"><img src="/images/screenshots/pgadmin3_languages.png" alt="' . _("Database encoding selection") . '" /></a></center>
 
 '; 
 
Index: www/screenshots/ui.php
===================================================================
--- www/screenshots/ui.php	(révision 8351)
+++ www/screenshots/ui.php	(copie de travail)
@@ -11,21 +11,21 @@
 
 <p>' . _("pgAdmin can connect to any PostgreSQL 7.3/7.4 and 8.x database using the embedded libpq native library. The application does not need any ODBC, .NET or JDBC layer. When configured server-side, it is possible to connect using encrypted password or SSL authentication.") . '</p>
 
-<center><a href="/images/screenshots/pgadmin3_connect.png" target="_Shot"><img src="/images/screenshots/pgadmin3_connect.png" alt="' . _("The database connection dialogue") . '" width="194" height="178" /></a></center>
+<center><a href="/images/screenshots/pgadmin3_connect.png" target="_Shot"><img src="/images/screenshots/pgadmin3_connect.png" alt="' . _("The database connection dialogue") . '" /></a></center>
 
 <p>' . _("The properties and statistics of the selected object are displayed in the right pane of pgAdmin. Notice the display of the SQL definition with colour syntax highlighting.") . '</p>
 
 <p>' . _("As objects are created and modified, pgAdmin will show the user the code used to make the modifications, as well as the reverse-engineered SQL definition of the selected object. This helps the user learn and understand the SQL easily allowing them to work productively in the GUI and the command line or in scripts.") . '</p>
 
-<center><a href="/images/screenshots/pgadmin3_properties.png" target="_Shot"><img src="/images/screenshots/pgadmin3_properties.png" alt="' . _("The properties of the selected object.") . '" width="190" height="279" /></a></center>
+<center><a href="/images/screenshots/pgadmin3_properties.png" target="_Shot"><img src="/images/screenshots/pgadmin3_properties.png" alt="' . _("The properties of the selected object.") . '" /></a></center>
 
 <p>' . _("A double-click in the navigation tree opens the selected object in a separate dialogue, or the user may opt to create a new object.  Notice the tabs giving access to Properties, Parameters, Security and the SQL used to create the object.") . '</p>
 
-<center><a href="/images/screenshots/pgadmin3_function.png" target="_Shot"><img src="/images/screenshots/pgadmin3_function.png" alt="' . _("The function properties dialogue") . '" width="200" height="270" /></a></center>
+<center><a href="/images/screenshots/pgadmin3_function.png" target="_Shot"><img src="/images/screenshots/pgadmin3_function.png" alt="' . _("The function properties dialogue") . '" /></a></center>
 
 <p>' . _("pgAdmin includes a table editor. Columns can be dropped. Column data types can be modified in certain conditions as allowed by the server version.") . '</p>
 
-<center><a href="/images/screenshots/pgadmin3_table.png" target="_Shot"><img src="/images/screenshots/pgadmin3_table.png" alt="' . _("The table properties dialogue") . '" width="252" height="294" /></a></center>
+<center><a href="/images/screenshots/pgadmin3_table.png" target="_Shot"><img src="/images/screenshots/pgadmin3_table.png" alt="' . _("The table properties dialogue") . '" /></a></center>
 
 '; 
 
Index: www/features.php
===================================================================
--- www/features.php	(révision 8351)
+++ www/features.php	(copie de travail)
@@ -35,7 +35,7 @@
 
 <h2>' . _("Multilingual interface") . '</h2>
 <ul>
-  <li>' . sprintf(_("Over a dozen supported translations and over 25 partial translations. A detailed list of supported languages is available on the <a href=\"%s\">translation status</a> page."), "translation/status.php") . '</li>
+  <li>' . sprintf(_("Over 20 supported translations. A detailed list of supported languages is available on the <a href=\"%s\">translation status</a> page."), "translation/status.php") . '</li>
 </ul>
 
 <h2>' . _("Data access") . '</h2>
@@ -65,12 +65,20 @@
   <li>' . _("Conversions") . '</li>
   <li>' . _("Databases") . '</li>
   <li>' . _("Domains") . '</li>
+  <li>' . _("FTS configurations") . '</li>
+  <li>' . _("FTS dictionaries") . '</li>
+  <li>' . _("FTS parsers") . '</li>
+  <li>' . _("FTS templates") . '</li>
   <li>' . _("Functions") . '</li>
+  <li>' . _("Greenplum objects (such as external tables, ressource queues)") . '</li>
   <li>' . _("Groups") . '</li>
   <li>' . _("Indexes") . '</li>
+  <li>' . _("Languages") . '</li>
   <li>' . _("Operator classes") . '</li>
+  <li>' . _("Operator families") . '</li>
   <li>' . _("Operators") . '</li>
   <li>' . _("PostgreSQL servers") . '</li>
+  <li>' . _("Postgres Plus Advanced Server objects (such as packages, procedures, synonyms)") . '</li>
   <li>' . _("Roles") . '</li>
   <li>' . _("Rules") . '</li>
   <li>' . _("Schemas") . '</li>
Index: www/images/screenshots/pgadmin3_status.png
===================================================================
Impossible d'afficher : fichier considéré comme binaire.
svn:mime-type = application/octet-stream
Index: www/images/screenshots/pgadmin3_function.png
===================================================================
Impossible d'afficher : fichier considéré comme binaire.
svn:mime-type = application/octet-stream
Index: www/images/screenshots/pgadmin3_encoding.png
===================================================================
Impossible d'afficher : fichier considéré comme binaire.
svn:mime-type = application/octet-stream
Index: www/images/screenshots/pgadmin3_table.png
===================================================================
Impossible d'afficher : fichier considéré comme binaire.
svn:mime-type = application/octet-stream
Index: www/images/screenshots/pgadmin3_connect.png
===================================================================
Impossible d'afficher : fichier considéré comme binaire.
svn:mime-type = application/octet-stream
Index: www/images/screenshots/pgadmin3_properties.png
===================================================================
Impossible d'afficher : fichier considéré comme binaire.
svn:mime-type = application/octet-stream
Index: www/images/screenshots/pgadmin3_linux.png
===================================================================
Impossible d'afficher : fichier considéré comme binaire.
svn:mime-type = application/octet-stream
Index: www/images/screenshots/pgadmin3_explain.png
===================================================================
Impossible d'afficher : fichier considéré comme binaire.
svn:mime-type = application/octet-stream
Index: www/images/screenshots/pgadmin3_querytool.png
===================================================================
Impossible d'afficher : fichier considéré comme binaire.
svn:mime-type = application/octet-stream
Index: www/images/screenshots/pgadmin3_viewdata.png
===================================================================
Impossible d'afficher : fichier considéré comme binaire.
svn:mime-type = application/octet-stream
Index: www/images/screenshots/pgadmin3_languages.png
===================================================================
Impossible d'afficher : fichier considéré comme binaire.
svn:mime-type = application/octet-stream
